models/Furgonetas.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "furgonetas".
 *
 * @property int $codigo_furgoneta
 * @property string|null $matricula
 * @property string|null $modelo_completo
 * @property int|null $kilometros
 * @property string|null $motor
 * @property string|null $estado
 * @property float|null $consumo
 * @property int|null $codigo_nave
 * @property int|null $revision
 *
 * @property Naves $codigoNave
 * @property Paquetes[] $paquetes
 * @property Repartidores[] $repartidores
 */
class Furgonetas extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'furgonetas';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['kilometros', 'codigo_nave', 'revision'], 'integer'],
            [['kilometros'], 'required', 'message'=>'Debe introducir los kilómetros'],
            [['consumo'], 'number'],
            [['matricula'], 'string', 'max' => 7],
            [['matricula'], 'required', 'message'=>'Debe introducir una matrícula'],
            [['modelo_completo'], 'string', 'max' => 150],
            [['modelo_completo'], 'required', 'message'=>'Debe introducir el modelo'],
            [['motor'], 'string', 'max' => 100],
            [['estado'], 'string', 'max' => 50],
            [['codigo_nave'], 'exist', 'skipOnError' => true, 'targetClass' => Naves::className(), 'targetAttribute' => ['codigo_nave' => 'codigo_nave']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'codigo_furgoneta' => 'Código Furgoneta',
            'matricula' => 'Matrícula',
            'modelo_completo' => 'Modelo Completo',
            'kilometros' => 'Kilómetros',
            'motor' => 'Motor',
            'estado' => 'Estado',
            'consumo' => 'Consumo',
            'codigo_nave' => 'Codigo Nave',
            'revision' => 'Revisión',
        ];
    }

    /**
     * Gets query for [[CodigoNave]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCodigoNave()
    {
        return $this->hasOne(Naves::className(), ['codigo_nave' => 'codigo_nave']);
    }

    /**
     * Gets query for [[Paquetes]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getPaquetes()
    {
        return $this->hasMany(Paquetes::className(), ['codigo_furgoneta' => 'codigo_furgoneta']);
    }

    /**
     * Gets query for [[Repartidores]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getRepartidores()
    {
        return $this->hasMany(Repartidores::className(), ['codigo_furgoneta' => 'codigo_furgoneta']);
    }
}

controllers/CamionesController.php
<?php

namespace app\controllers;

use app\models\Camiones;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
use app\models\Naves;
use yii\helpers\Html;


/**
 * CamionesController implements the CRUD actions for Camiones model.
 */
class CamionesController extends Controller
{
    /**
     * @inheritDoc
     */
    
    
    
    /**
  Consulta para sacar los camiones que necesitan ser reparados
 */
    public function actionConsultareparaciones(){
        
        $dataProvider = new \yii\data\ActiveDataProvider([
           
           'query'=> \app\models\Camiones::find()
                
                ->where("revision=0"),
           'pagination'=>[
               'pageSize' =>10,
           ]
       ]);
        
        
        return $this->render("resultadosrepara",[
           "resultadosrepara"=>$dataProvider,
           "campos"=>['matricula','modelo_completo','revision'],
           "titulo"=>"Mantenimiento Camiones",
           "enunciado"=>"Listado de camiones que necesitan de mantenimiento ",
           "sql"=>' '
       ]);
        
    }
   
    public function actionConsultatest(){
        
        $dataProvider = new \yii\data\ActiveDataProvider([
           
           'query'=> \app\models\Camiones::find()
                
                ->where("estado='Disponible'"),
           'pagination'=>[
               'pageSize' =>10,
           ]
       ]);
        
        
        
        
        return $this->render("resultados",[
           "resultados"=>$dataProvider,
          
           "campos"=>['matricula','modelo_completo','codigo_nave'],
           "titulo"=>"Camiones Disponibles",
           "enunciado"=>"Listado de camiones que actualmente se encuentra disponibles para formalizar cargas ",
           "sql"=>' '
       ]);
        
    }
    public function actionConsultadef(){
        
      
        
        $dataProvider = new \yii\data\SqlDataProvider([
           
           'sql'=>'SELECT DISTINCT c.matricula, c.modelo_completo, n.ubicacion FROM naves n INNER JOIN camiones c USING(codigo_nave) WHERE c.estado = "Disponible" ',
           'pagination'=>[
               'pageSize' =>10,
           ]
       ]);
        
        $dataProvider->setSort([
        'attributes' => [
            'matricula',
            'modelo_completo',
            'ubicacion',
            
            'lastReportResult' => [
                'asc' => ['lastReportResult' =>SORT_ASC ],
                'desc' => ['lastReportResult' => SORT_DESC],
                'default' => SORT_ASC
            ],
            'reportPercentDiff'
        ]
    ]);
        
       return $this->render("resultados",[
           "resultados"=>$dataProvider,
           "campos"=>['matricula','modelo_completo','ubicacion' ],
           "titulo"=>"Camiones Disponibles",
           "enunciado"=>"Listado de camiones que actualmente se encuentran disponibles para formalizar cargas ",
           "sql"=>" "
       ]);
        
        
    }
    
    public function actionConsultadef2(){
        
      
        
        $dataProvider = new \yii\data\SqlDataProvider([
           
           'sql'=>'SELECT DISTINCT c.matricula, c.modelo_completo, n.ubicacion FROM naves n INNER JOIN camiones c USING(codigo_nave) WHERE c.estado = "Trabajando" ',
           'pagination'=>[
               'pageSize' =>10,
           ]
       ]);
        
        $dataProvider->setSort([
        'attributes' => [
            'matricula',
            'modelo_completo',
            'ubicacion',
            
            'lastReportResult' => [
                'asc' => ['lastReportResult' =>SORT_ASC ],
                'desc' => ['lastReportResult' => SORT_DESC],
                'default' => SORT_ASC
            ],
            'reportPercentDiff'
        ]
    ]);
        
       return $this->render("resultados",[
           "resultados"=>$dataProvider,
           "campos"=>['matricula','modelo_completo','ubicacion' ],
           "titulo"=>"Camiones Trabajando",
           "enunciado"=>"Listado de camiones que actualmente se encuentran trabajando ",
           "sql"=>" "
       ]);
        
        
    }
    
    
    
    public function actionConsultadispotest(){
        
      
        
        $dataProvider = new \yii\data\SqlDataProvider([
           
           'sql'=>'SELECT * FROM camiones WHERE estado = "Trabajando"',
           'pagination'=>[
               'pageSize' =>10,
           ]
       ]);
        
        
        
       return $this->render("resultados",[
           "resultados"=>$dataProvider,
           "campos"=>['matricula','modelo_completo'],
           "titulo"=>"Camiones Trabajando",
           "enunciado"=>" ",
           "sql"=>" "
       ]);
        
        
    }
    public function actionConsultadisponibilidadcamiones1(){
        
        $dataProvider = new \yii\data\ActiveDataProvider([
           
           'query'=> \app\models\Camiones::find()
                
                ->where("estado='Disponible'"),
           'pagination'=>[
               'pageSize' =>5,
           ]
       ]);
        
        
        return $this->render("resultados",[
            
           "resultados"=>$dataProvider,
           "campos"=>['matricula','modelo_completo','ubicacion'],
           "titulo"=>"Camiones Disponibles",
           "enunciado"=>" ",
           "sql"=>' '
       ]);
        
    }
    
    public function actionConsultadispo(){
        
        $dataProvider = new \yii\data\ActiveDataProvider([
           
           'query'=> \app\models\Camiones::find()
                
                ->where("estado='Trabajando'"),
           'pagination'=>[
               'pageSize' =>5,
           ]
       ]);
        
        
        return $this->render("resultados",[
           "resultados"=>$dataProvider,
           "campos"=>['matricula','modelo_completo'],
           "titulo"=>"Camiones Trabajando",
           "enunciado"=>" ",
           "sql"=>' '
       ]);
        
    }
    
    
    
     public function actionConsultadisponibilidadcamiones2(){
        
      
        
        $dataProvider = new \yii\data\ActiveDataProvider([
           
           'query'=> \app\models\Camiones::find()
                ->select("matricula","modelo_completo")
                ->distinct()
                ->where("estado='Trabajando'"),
           'pagination'=>[
               'pageSize' =>5,
           ]
       ]);
        
        
        return $this->render("resultados",[
           "resultados"=>$dataProvider,
           "campos"=>['matricula','modelo_completo'],
           "titulo"=>"Camiones en Ruta",
           "enunciado"=>" ",
           "sql"=>' '
       ]);
        
        
    }
    /**
  Consulta para sacar el kilometraje de los camiones
 */
    public function actionConsultakilometrajecamiones(){
        
      
        
        $dataProvider = new \yii\data\ActiveDataProvider([
           
           'query'=> \app\models\Camiones::find()
                
                ->distinct()
                ->orderBy("kilometros"),
           'pagination'=>[
               'pageSize' =>10,
           ]
       ]);
        
        
        return $this->render("resultadoskm",[
           "resultadoskm"=>$dataProvider,
           "campos"=>['matricula','modelo_completo', 'kilometros'],
           "titulo"=>"Kilometraje Camiones",
           "enunciado"=>"Listado de camiones ordenados por su kilometraje ",
           "sql"=>' '
       ]);
        
        
    }
    /**
  Consulta para sacar el consumo de los camiones
 */
     public function actionConsultaconsumocamiones(){
        
      
        
        $dataProvider = new \yii\data\ActiveDataProvider([
           
           'query'=> \app\models\Camiones::find()
                
                ->distinct()
                ->orderBy("consumo"),
           'pagination'=>[
               'pageSize' =>10,
           ]
       ]);
        
        
        return $this->render("resultadosconsumo",[
           "resultadosconsumo"=>$dataProvider,
           "campos"=>['matricula','modelo_completo', 'consumo'],
           "titulo"=>"Consumo Camiones",
           "enunciado"=>"Listado de camiones ordenados por su consumo ",
           "sql"=>' '
       ]);
        
        
    }
    
    
    public function behaviors()
    {
        return array_merge(
            parent::behaviors(),
            [
                'verbs' => [
                    'class' => VerbFilter::className(),
                    'actions' => [
                        'delete' => ['POST'],
                    ],
                ],
            ]
        );
    }

    /**
     * Lists all Camiones models.
     * @return mixed
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Camiones::find(),
            /*
            'pagination' => [
                'pageSize' => 50
            ],
            'sort' => [
                'defaultOrder' => [
                    'codigo_camion' => SORT_DESC,
                ]
            ],
            */
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }
    
     public function actionBusquedas()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Camiones::find(),
            /*
            'pagination' => [
                'pageSize' => 50
            ],
            'sort' => [
                'defaultOrder' => [
                    'codigo_camion' => SORT_DESC,
                ]
            ],
            */
        ]);

        return $this->render('busquedas', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Camiones model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;
use yii\data\ActiveDataProvider;
use yii\data\SqlDataProvider;
use app\models\Naves;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    
    
       public function actionMostrarnaves(){
        
        $dataProvider = new \yii\data\ActiveDataProvider([
           
           'query'=> \app\models\Naves::find()
                
       ]);
        
        
        return $this->render("naves",[
           "dataProvider"=>$dataProvider,
      
       ]);
        
    }
     
    
    
    
    
    
    
    
    
    
     
    
    
    
    
    
    
    
    
    
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }
    
    public function actionVistabusquedas()
    {
        return $this->render('vistabusquedas');
    }

    /**
     * Login action.
     *
     * @return Response|string
     */
    public function actionLogin()
    {
        if (!Yii::$app->user->isGuest) {
            return $this->goHome();
        }

        $model = new LoginForm();
        if ($model->load(Yii::$app->request->post()) && $model->login()) {
            return $this->goBack();
        }

        $model->password = '';
        return $this->render('login', [
            'model' => $model,
        ]);
    }

    /**
     * Logout action.
     *
     * @return Response
     */
    public function actionLogout()
    {
        Yii::$app->user->logout();

        return $this->goHome();
    }

    /**
     * Displays contact page.
     *
     * @return Response|string
     */
    public function actionContact()
    {
        $model = new ContactForm();
        if ($model->load(Yii::$app->request->post()) && $model->contact(Yii::$app->params['adminEmail'])) {
            Yii::$app->session->setFlash('contactFormSubmitted');

            return $this->refresh();
        }
        return $this->render('contact', [
            'model' => $model,
        ]);
    }

    /**
     * Displays about page.
     *
     * @return string
     */
    public function actionAbout()
    {
        return $this->render('about');
    }
}

views/furgonetas/_form.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\helpers\ArrayHelper;

/* @var $this yii\web\View */
/* @var $model app\models\Furgonetas */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="furgonetas-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'matricula')-> label ('Matrícula')->textInput(['placeholder' => 'Ejemplo: 5805GTZ', 'maxlength' => true]) ?>

    <?php
    
    $tipos = 
            [
             'Citroën Berlingo' => 'Citroën Berlingo',
             'Citroën Jumper' => 'Citroën Jumper',
             'Dacia Dokker' => 'Dacia Dokker',
             'Fiat Ducato' => 'Fiat Ducato',
             'Ford Transit' => 'Ford Transit',
             'Mercedes Viano' => 'Mercedes Viano',
             'Mercedes Vito' => 'Mercedes Vito',
             'Opel Combi' => 'Opel Combi',
             'Peugeot Boxer' => 'Peugeot Boxer',
             'Renault Dokker' => 'Renault Dokker',
             'Renault Master' => 'Renault Master',
             'Renault Trafic' => 'Renault Trafic',
             'Volkswagen Transporter' => 'Volkswagen Transporter',
             
                
             
                
            ];
    
            echo $form->field($model, 'modelo_completo')
               ->dropDownList($tipos,['prompt' => 'Seleccione una furgoneta'])
               -> label ('Seleccionar Furgoneta');
    ?>

    <?= $form->field($model, 'kilometros')-> label ('Kilómetros')->textInput(['placeholder' => 'Ejemplo : 145765']) ?>

     <?= $form->field($model, 'motor')->textInput(['placeholder' => ' Ejemplo: 95cv']) ?>

    <?php
    
    $tipos = 
            [
             'Disponible' => 'Disponible',
             'Trabajando' => 'Trabajando',
                
             
                
            ];
    
            echo $form->field($model, 'estado')
               ->dropDownList($tipos,['prompt' => 'Seleccione un estado'])
               -> label ('Seleccionar Estado');
    ?>

     <?= $form->field($model, 'consumo')->textInput (['placeholder' => 'Ejemplo : 9.3']) ?>
    

    <?php
       $mapnaves = ArrayHelper::map($modelnaves, 'codigo_nave', 'ubicacion');
               echo $form->field($model, 'codigo_nave')
               ->dropDownList($mapnaves,['prompt' => 'Seleccione una Nave'])
               -> label ('Seleccionar Nave');
        
        ?>
    <?php
    
    $revision = 
            [
             '1' => 'Mantenimiento Realizado',
             '0' => 'Mantenimiento no Realizado',
             
             
             
                
            ];
    
            echo $form->field($model, 'revision')
               ->dropDownList($revision,['prompt' => 'Seleccione si la furgoneta necesita de algún tipo de revisión'])
               -> label ('Mantenimiento');
    ?>

    <div class="form-group">
        <?= Html::submitButton('Guardar', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

views/furgonetas/_form_1.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\helpers\ArrayHelper;

/* @var $this yii\web\View */
/* @var $model app\models\Furgonetas */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="furgonetas-form">

    <?php $form = ActiveForm::begin(); ?>
    <div class="invisible">
    <?= $form->field($model, 'matricula')-> label ('Matrícula')->textInput(['placeholder' => 'Ejemplo: 5805GTZ', 'maxlength' => true]) ?>

    <?php
    
    $tipos = 
            [
             'Citroën Berlingo' => 'Citroën Berlingo',
             'Citroën Jumper' => 'Citroën Jumper',
             'Dacia Dokker' => 'Dacia Dokker',
             'Fiat Ducato' => 'Fiat Ducato',
             'Ford Transit' => 'Ford Transit',
             'Mercedes Viano' => 'Mercedes Viano',
             'Mercedes Vito' => 'Mercedes Vito',
             'Opel Combi' => 'Opel Combi',
             'Peugeot Boxer' => 'Peugeot Boxer',
             'Renault Dokker' => 'Renault Dokker',
             'Renault Master' => 'Renault Master',
             'Renault Trafic' => 'Renault Trafic',
             'Volkswagen Transporter' => 'Volkswagen Transporter',
             
                
             
                
            ];
    
            echo $form->field($model, 'modelo_completo')
               ->dropDownList($tipos,['prompt' => 'Seleccione una furgoneta'])
               -> label ('Seleccionar Furgoneta');
    ?>

    <?= $form->field($model, 'kilometros')-> label ('Kilómetros')->textInput(['placeholder' => 'Ejemplo : 145765']) ?>

     <?= $form->field($model, 'motor')->textInput(['placeholder' => ' Ejemplo: 95cv']) ?>

    <?php
    
    $tipos = 
            [
             'Disponible' => 'Disponible',
             'Ocupado' => 'Ocupado',
                
             
                
            ];
    
            echo $form->field($model, 'estado')
               ->dropDownList($tipos,['prompt' => 'Seleccione un estado'])
               -> label ('Seleccionar Estado');
    ?>

     <?= $form->field($model, 'consumo')->textInput (['placeholder' => 'Ejemplo : 9.3']) ?>
    

    <?php
       $mapnaves = ArrayHelper::map($modelnaves, 'codigo_nave', 'ubicacion');
               echo $form->field($model, 'codigo_nave')
               ->dropDownList($mapnaves,['prompt' => 'Seleccione una Nave'])
               -> label ('Seleccionar Nave');
        
        ?>
    </div>
    <?php
    
    $revision = 
            [
             '1' => 'Mantenimiento Realizado',
             '0' => 'Mantenimiento no Realizado',
             
             
             
                
            ];
    
            echo $form->field($model, 'revision')
               ->dropDownList($revision,['prompt' => 'Seleccione si la furgoneta necesita de algún tipo de revisión'])
               -> label ('Mantenimiento');
    ?>

    <div class="form-group">
        <?= Html::submitButton('Guardar', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

views/furgonetas/create.php
<?php

use yii\helpers\Html;

/* @var $this yii\web\View */
/* @var $model app\models\Furgonetas */

$this->title = 'REGISTRO DE FURGONETA';
$this->params['breadcrumbs'][] = ['label' => 'Furgonetas', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="furgonetas-create">

    <h1><?= Html::encode($this->title) ?></h1>

    <?= $this->render('_form', [
        'model' => $model,
        'modelnaves' => $modelnaves,
    ]) ?>

</div>

views/furgonetas/index.php
<?php

use yii\helpers\Html;
use yii\grid\GridView;

/* @var $this yii\web\View */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'FURGONETAS';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="furgonetas-index">

    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        <?= Html::a('Registrar Furgoneta', ['create'], ['class' => 'btn btn-success']) ?>
    </p>


    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'columns' => [
            

//            'codigo_furgoneta',
            'matricula',
            'modelo_completo',
            'kilometros',
            'motor',
            //'revision',
            //'estado',
            //'consumo',
            //'codigo_nave',

            ['class' => 'yii\grid\ActionColumn'],
        ],
    ]); ?>


</div>

views/furgonetas/resultados.php
<?php

use yii\grid\GridView;
use yii\helpers\Html;
?>

<div class="jumbotron">
    <h2><?=$titulo?></h2>
    
    <p class="lead"><?= $enunciado ?> </p>
    <div class="well">
        <?= Html::a('Búsquedas', ['site/vistabusquedas'], ['class' => 'btn btn-success']) ?>
    <?= $sql ?>
    </div>
    
</div>

<?=
   GridView::widget([
   'dataProvider' => $resultados,
   'columns' => $campos,'columns' => [
//            ['class' => 'yii\grid\SerialColumn'],

//            'codigo_camion',
            'matricula',
            'modelo_completo',
           // 'ubicacion',
//       [
//                    'attribute' => 'ubicacion',
//                    'label' => 'Nave de Origen',
//                    'value' => $model->codigoNave['ubicacion']
//                      
//                    
//                ],
            //'kilometros',
            //'motor',
            //'estado',
            //'consumo',
            //'tipo_de_chasis',
            //'codigo_nave',
            //'revision',

         //   ['class' => 'yii\grid\ActionColumn'],
        ],
           
           
]); ?>

views/furgonetas/resultadosdispo.php
<?php

use yii\grid\GridView;
use yii\helpers\Html;
?>

<div class="jumbotron">
    <h2><?=$titulo?></h2>
    
    <p class="lead"><?= $enunciado ?> </p>
    <div class="well">
        <?= Html::a('Búsquedas', ['site/vistabusquedas'], ['class' => 'btn btn-success']) ?>
    <?= $sql ?>
    </div>
    
</div>

<?=
   GridView::widget([
   'dataProvider' => $resultadosdispo,
   'columns' => $campos,'columns' => [
//            ['class' => 'yii\grid\SerialColumn'],

//            'codigo_camion',
            'matricula',
            'modelo_completo',
           // 'ubicacion',
//       [
//                    'attribute' => 'ubicacion',
//                    'label' => 'Nave de Origen',
//                    'value' => $model->codigoNave['ubicacion']
//                      
//                    
//                ],
            //'kilometros',
            //'motor',
            //'estado',
            //'consumo',
            //'tipo_de_chasis',
            //'codigo_nave',
            //'revision',

           // ['class' => 'yii\grid\ActionColumn'],
        ],
           
           
]); ?>

views/furgonetas/resultadoskm.php
<?php

use yii\grid\GridView;
use yii\helpers\Html;
?>

<div class="jumbotron">
    <h2><?=$titulo?></h2>
    
    <p class="lead"><?= $enunciado ?> </p>
    <div class="well">
        <?= Html::a('Búsquedas', ['site/vistabusquedas'], ['class' => 'btn btn-success']) ?>
    <?= $sql ?>
    </div>
    
</div>

<?=
   GridView::widget([
   'dataProvider' => $resultadoskm,
   'columns' => $campos,'columns' => [
//            ['class' => 'yii\grid\SerialColumn'],

//            'codigo_camion',
            'matricula',
            'modelo_completo',
           // 'ubicacion',
//       [
//                    'attribute' => 'ubicacion',
//                    'label' => 'Nave de Origen',
//                    'value' => $model->codigoNave['ubicacion']
//                      
//                    
//                ],
            'kilometros',
            //'motor',
            //'estado',
            //'consumo',
            //'tipo_de_chasis',
            //'codigo_nave',
            //'revision',

         //   ['class' => 'yii\grid\ActionColumn'],
        ],
           
           
]); ?>

views/furgonetas/resultadosrepara.php
<?php

use yii\grid\GridView;
use yii\helpers\Html;
?>

<div class="jumbotron">
    <h2><?=$titulo?></h2>
    
    <p class="lead"><?= $enunciado ?> </p>
    <div class="well">
    <?= Html::a('Camiones', ['camiones/consultareparaciones'], ['class' => 'btn btn-success']) ?>
    <?= $sql ?>
    </div>
    
</div>

<?=
   GridView::widget([
       
   'dataProvider' => $resultadosrepara,
   'columns' => $campos,'columns' => [
//            ['class' => 'yii\grid\SerialColumn'],

//            'codigo_camion',
            'matricula',
            'modelo_completo',
           // 'ubicacion',
//       [
//                    'attribute' => 'ubicacion',
//                    'label' => 'Nave de Origen',
//                    'value' => $model->codigoNave['ubicacion']
//                      
//                    
//                ],
            //'kilometros',
            //'motor',
            //'estado',
            //'consumo',
            //'tipo_de_chasis',
            //'codigo_nave',
            //'revision',

            [

        'class' => 'yii\grid\ActionColumn',

        'template' => '{update1} ',

        'buttons' => [
            'update1' => function ($url, $model) {
                return Html::a('REPARAR', $url);
            },

          
          'urlCreator' => function ($action, $model, $key, $index) {
            

            if ($action === 'update1') {
                $url ='index.php/furgonetas/update1?id='.$model->codigo_furgoneta;
                return $url;
            }
            

          }
    ],

    ],
        ],
   
           
           
]); ?>

views/furgonetas/update.php
<?php

use yii\helpers\Html;

/* @var $this yii\web\View */
/* @var $model app\models\Furgonetas */

$this->title = 'ACTUALIZAR FURGONETA CON MATRÍCULA: ' . $model->matricula;
$this->params['breadcrumbs'][] = ['label' => 'Furgonetas', 'url' => ['index']];
$this->params['breadcrumbs'][] = ['label' => $model->codigo_furgoneta, 'url' => ['view', 'id' => $model->codigo_furgoneta]];
$this->params['breadcrumbs'][] = 'Update';
?>
<div class="furgonetas-update">

    <h1><?= Html::encode($this->title) ?></h1>

    <?= $this->render('_form', [
        'model' => $model,
        'modelnaves' => $modelnaves,
    ]) ?>

</div>